# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Declaring local variables
    package_version = control.get_software_version()
    bin_name = glob.glob("*DittoSetup_*.exe")[0]

    # Uninstalling older versions of the software
    for to_uninstall in installed_softwares("Ditto_is1"):
        if Version(to_uninstall["version"]) < Version(package_version) or force:
            print("Removing: %s (%s)" % (to_uninstall["name"], to_uninstall["version"]))
            killalltasks(control.impacted_process.split(","))
            run(uninstall_cmd(to_uninstall["key"]))
            wait_uninstallkey_absent(to_uninstall["key"])

    # Installing the software
    print("Installing: %s" % bin_name)
    install_exe_if_needed(
        bin_name,
        silentflags="/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /CLOSEAPPLICATIONS /SP-",
        key="Ditto_is1",
        min_version=control.get_software_version(),
    )
